<?php

namespace Litecms\Master\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MasterTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Master\Models\Master $master)
    {
        return [
            'id'                => $master->getRouteKey(),
            'key'               => [
                'public'    => $master->getPublicKey(),
                'route'     => $master->getRouteKey(),
            ], 
            'id'                => $master->id,
            'name'              => $master->name,
            'price'             => $master->price,
            'url'               => [
                'public'    => trans_url('master/'.$master->getPublicKey()),
                'user'      => guard_url('master/master/'.$master->getRouteKey()),
            ], 
            'status'            => trans('app.'.$master->status),
            'created_at'        => format_date($master->created_at),
            'updated_at'        => format_date($master->updated_at),
        ];
    }
}